### Method

# FwupdPlugin Plugin get_device_gtype_default

since: 1.9.14

#### Declaration [src]

    GType
    fu_plugin_get_device_gtype_default (
      FuPlugin* self
    )

#### Description [src]

Gets the default device `GType`.

If there is only one possible `GType` added from `fu_plugin_add_device_gtype()` it will also be returned here.

Available since: 1.9.14

#### Return value

Type: `GType`

A `GType`, or `G_TYPE_INVALID` on error.